<?php

//function ARBCodes($code) {
$err = array();

$err['I00001'] = array(
	'text'=>"Successful",
	'desc'=>"The request was processed successfully.",
);

$err['I00003'] = array(
	'text'=>"The record has already been deleted.",
	'desc'=>"The record has already been deleted.",
);

$err['E00001'] = array(
	'text'=>"An error occurred during processing. Please try again.",
	'desc'=>"An unexpected system error occurred while processing this request.",
);

$err['E00002'] = array(
	'text'=>"The content-type specified is not supported.",
	'desc'=>"The only supported content-types are text/xml and application/xml.",
);

$err['E00003'] = array(
	'text'=>"An error occurred while parsing the XML request.",
	'desc'=>"This is the result of an XML parser error.",
);

$err['E00004'] = array(
	'text'=>"The name of the requested API method is invalid.",
	'DESCRTIPION'=>"The name of the root node of the XML request is the API method being called. It is not valid.",
);

$err['E00005'] = array(
	'text'=>"The merchantAuthentication.transactionKey is invalid or not present.",
	'desc'=>"Merchant authentication requires a valid value for transaction key.",
);

$err['E00006'] = array(
	'text'=>"The merchantAuthentication.name is invalid or not present.",
	'desc'=>"Merchant authentication requires a valid value for name.",
);

$err['E00007'] = array(
	'text'=>"User authentication failed due to invalid authentication values.",
	'desc'=>"The name/and or transaction key is invalid.",
);

$err['E00008'] = array(
	'text'=>"User authentication failed. The payment gateway account or user is inactive.",
	'desc'=>"The payment gateway or user account is not currently active.",
);

$err['E00009'] = array(
	'text'=>"The payment gateway account is in Test Mode. The request cannot be processed.",
	'desc'=>"The requested API method cannot be executed while the payment gateway account
				is in Test Mode.",
);

$err['E00010'] = array(
	'text'=>"User authentication failed. You do not have the appropriate permissions.",
	'desc'=>"The user does not have permission to call the API.",
);

$err['E00011'] = array(
	'text'=>"Access denied. You do not have the appropriate permissions.",
	'desc'=>"The user does not have permission to call the API method.",
);

$err['E00012'] = array(
	'text'=>"A duplicate subscription already exists.",
	'desc'=>"A duplicate of the subscription was already submitted. The duplicate check
				looks at several fields including payment information, billing information and, specifically
				for subscriptions, Start Date, Interval and Unit.",
);

$err['E00013'] = array(
	'text'=>"The field is invalid.",
	'desc'=>"One of the field values is not valid.",
);

$err['E00014'] = array(
	'text'=>"A required field is not present.",
	'desc'=>"One of the required fields was not present.",
);

$err['E00015'] = array(
	'text'=>"The field length is invalid.",
	'desc'=>"One of the fields has an invalid length.",
);

$err['E00016'] = array(
	'text'=>"The field type is invalid.",
	'desc'=>"The field type is not valid.",
);

$err['E00017'] = array(
	'text'=>"The startDate cannot occur in the past.",
	'desc'=>"The subscription start date cannot occur before the subscription submission date.
				(Note: validation is performed against local server date, which is Mountain Time.)",
);

$err['E00018'] = array(
	'text'=>"The credit card expires before the subscription startDate.",
	'desc'=>"The credit card is not valid as of the start date of the subscription.",
);

$err['E00019'] = array(
	'text'=>"The customer taxId or driversLicense information is required.",
	'desc'=>"The customer tax ID or driver’s license information (driver’s license number,
				driver’s license state, driver’s license DOB) is required for the subscription.",
);

$err['E00020'] = array(
	'text'=>"The payment gateway account is not enabled for eCheck.Net subscriptions.",
	'desc'=>"This payment gateway account is not set up to process eCheck.Net subscriptions.",
);

$err['E00021'] = array(
	'text'=>"The payment gateway account is not enabled for credit card subscriptions.",
	'desc'=>"This payment gateway account is not set up to process credit card subscriptions.",
);

$err['E00022'] = array(
	'text'=>"The interval length cannot exceed 365 days or 12 months.",
	'desc'=>"The interval length must be 7 to 365 days or 1 to 12 months.",
);

$err['E00024'] = array(
	'text'=>"The trialOccurrences is required when trialAmount is specified.",
	'desc'=>"The number of trial occurrences cannot be zero if a valid trial amount is submitted.",
);

$err['E00025'] = array(
	'text'=>"Automated Recurring Billing is not enabled.",
	'desc'=>"The payment gateway account is not enabled for Automated Recurring Billing.",
);

$err['E00026'] = array(
	'text'=>"Both trialAmount and trialOccurrences are required.",
	'desc'=>"If either a trial amount or number of trial occurrences is specified then values
				for both must be submitted.",
);

$err['E00027'] = array(
	'text'=>"The test transaction was unsuccessful.",
	'desc'=>"An approval was not returned for the test transaction.",
);

$err['E00028'] = array(
	'text'=>"The trialOccurrences must be less than totalOccurrences.",
	'desc'=>"The number of trial occurrences specified must be less than the number of total
				occurrences specified.",
);

$err['E00029'] = array(
	'text'=>"Payment information is required.",
	'desc'=>"Payment information is required when creating a subscription.",
);

$err['E00030'] = array(
	'text'=>"A paymentSchedule is required.",
	'desc'=>"A payment schedule is required when creating a subscription.",
);

$err['E00031'] = array(
	'text'=>"The amount is required.",
	'desc'=>"The subscription amount is required when creating a subscription.",
);

$err['E00032'] = array(
	'text'=>"The startDate is required.",
	'desc'=>"The subscription start date is required to create a subscription.",
);

$err['E00033'] = array(
	'text'=>"The subscription Start Date cannot be changed.",
	'desc'=>"Once a subscription is created the Start Date cannot be changed.",
);

$err['E00034'] = array(
	'text'=>"The interval information cannot be changed.",
	'desc'=>"Once a subscription is created the subscription interval cannot be changed.",
);

$err['E00035'] = array(
	'text'=>"The subscription cannot be found.",
	'desc'=>"The subscription ID for this request is not valid for this merchant.",
);

$err['E00036'] = array(
	'text'=>"The payment type cannot be changed.",
	'desc'=>"Changing the subscription payment type between credit card and eCheck.Net is not
				currently supported.",
);

$err['E00037'] = array(
	'text'=>"The subscription cannot be updated.",
	'desc'=>"Subscriptions that are expired, canceled",
);

$err['E00038'] = array(
	'text'=>"The subscription cannot be canceled.",
	'desc'=>"Subscriptions that are expired or terminated cannot be canceled.",
);

$err['E00045'] = array(
	'text'=>"The root node does not reference a valid XML namespace.",
	'desc'=>"An error exists in the XML namespace. This error is similar to E00003.",
);
?>
